package com.example.administrator.zhapp.entity;

import java.util.List;

/**
 * 行为安全管理检查内容
 */

public class XwaqglInfo {

    private String title;
    private String content;
    private boolean checked;

    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    private List<ItemInfo> list;

    public XwaqglInfo(String title, String content, List<ItemInfo> list) {
        this.title = title;
        this.content = content;
        this.list = list;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<ItemInfo> getList() {
        return list;
    }

    public void setList(List<ItemInfo> list) {
        this.list = list;
    }

    public static class ItemInfo {
        private String text;
        private boolean isCheked;

        public ItemInfo(String text, boolean isCheked) {
            this.text = text;
            this.isCheked = isCheked;
        }

        public String getText() {
            return text;
        }

        public void setText(String text) {
            this.text = text;
        }

        public boolean isCheked() {
            return isCheked;
        }

        public void setCheked(boolean cheked) {
            isCheked = cheked;
        }
    }

}
